Package javassist.tools

# Class framedump

java.lang.Object
javassist.tools.framedump

public class framedump extends Object
framedump is a tool for viewing a merged combination of the instructions and frame state of all methods in a class.

For example,

    % java javassist.tools.framedump foo.class

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Main method.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args) throws Exception
Main method.

Parameters:
  `args` - `args[0]` is the class file name.
Throws:
  `Exception`